Bug 375106 - Selected cursor theme is unreadable when I use breeze or breeze light theme
Summary: Selected cursor theme is unreadable when I use breeze or breeze light theme
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_mouse (show other bugs)
Version: 5.11.0
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Unassigned bugs mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-15 19:51 UTC by Patrick Silva
Modified: 2018-01-23 13:40 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot (94.97 KB, image/png)
2017-01-15 19:51 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2017-01-15 19:51:21 UTC
Created attachment 103429 [details]
screenshot

I cant read name nor description of the selected cursor theme when I use breeze or breeze light theme. See the screenshot.
Comment 1 Nate Graham 2017-10-31 02:46:10 UTC
Looks like the unfocused text is using the light color instead of the dark color. I'll have a look.
Comment 2 Christoph Feck 2017-11-10 01:14:46 UTC
It probably does not pass the correct ColorGroup to the QPalette call. The listview is inactive, but it looks like the delegate uses the text color for selected items in active lists.
Comment 3 Marco Martin 2018-01-23 13:40:01 UTC
Git commit bd95edf3abd88fdb60a8b1c4568005a4464bd6b0 by Marco Martin.
Committed on 23/01/2018 at 13:39.
Pushed by mart into branch 'master'.

QML mouse cursor KCM and components

Summary:
introduce a cursor theme kcm ported to QML, following the new
design guidelines, alongside generic components that will be reused for
modules that are mostly big grid views, such as look and feel.

Test Plan: tested on different devices with different dpi

Reviewers: #plasma, hein

Subscribers: hein, davidedmundson, aspotashev, januz, ngraham, romangg, plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D8692

M  +12   -9    kcms/cursortheme/CMakeLists.txt
M  +1    -1    kcms/cursortheme/Messages.sh
R  +6    -14   kcms/cursortheme/kcm_cursortheme.desktop [from: kcms/cursortheme/cursortheme.desktop - 095% similarity]
M  +552  -21   kcms/cursortheme/kcmcursortheme.cpp
M  +95   -5    kcms/cursortheme/kcmcursortheme.h
A  +67   -0    kcms/cursortheme/package/contents/ui/Delegate.qml     [License: LGPL (v2)]
A  +99   -0    kcms/cursortheme/package/contents/ui/main.qml     [License: LGPL (v2)]
A  +19   -0    kcms/cursortheme/package/metadata.desktop
M  +4    -1    kcms/cursortheme/xcursor/cursortheme.h
D  +0    -174  kcms/cursortheme/xcursor/itemdelegate.cpp
D  +0    -42   kcms/cursortheme/xcursor/itemdelegate.h
M  +104  -32   kcms/cursortheme/xcursor/previewwidget.cpp
M  +33   -7    kcms/cursortheme/xcursor/previewwidget.h
M  +7    -0    kcms/cursortheme/xcursor/sortproxymodel.cpp
M  +3    -1    kcms/cursortheme/xcursor/sortproxymodel.h
M  +50   -5    kcms/cursortheme/xcursor/thememodel.cpp
M  +6    -5    kcms/cursortheme/xcursor/thememodel.h
D  +0    -573  kcms/cursortheme/xcursor/themepage.cpp
D  +0    -97   kcms/cursortheme/xcursor/themepage.h
D  +0    -114  kcms/cursortheme/xcursor/themepage.ui
M  +3    -13   kcms/cursortheme/xcursor/xcursortheme.cpp
M  +7    -5    kcms/cursortheme/xcursor/xcursortheme.h

https://commits.kde.org/plasma-desktop/bd95edf3abd88fdb60a8b1c4568005a4464bd6b0